For the complete documentation index, see llms.txt. This page is also available as Markdown.

AD Integration

Get

get

Retrieve AD Integration Settings.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to retrieve the AD Integration Settings. (optional)

Responses
200

Success

application/json; api-version=1.0

AD Integration Settings

siteIdinteger · int32Optional

The site ID to which the AD integration settings refer to.

certificateAuthoritystring · nullableOptional

Certificate authority

enrollmentAgentUsernamestring · nullableOptional

Principal name in UPN format that will enroll certificates on behalf of other users.

nlaUsernamestring · nullableOptional

Username of the network level authentication

get/api/ADIntegrationSettings
GET /api/ADIntegrationSettings HTTP/1.1
Accept: */*
{
  "siteId": 1,
  "certificateAuthority": "text",
  "enrollmentAgentUsername": "text",
  "nlaUsername": "text"
}

Update

put

Modify AD Integration Settings.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to modify the AD Integration Settings. (optional)

Body

Update the AD integration settings

certificateAuthoritystring · max: 255 · nullableOptional

Certificate authority

enrollmentAgentUsernamestring · min: 1 · max: 255 · nullableOptional

Username of the enrollment agent

enrollmentAgentPasswordstring · nullableOptional

Password of the account specified in the EnrollmentAgentUsername parameter.

nlaUsernamestring · min: 1 · max: 255 · nullableOptional

Principal name in UPN format used to initialize the RDP session.

nlaPasswordstring · nullableOptional

Password of the account specified in the NLAUsername parameter.

Responses
204

No Content

No content

put/api/ADIntegrationSettings
PUT /api/ADIntegrationSettings HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 139

{
  "certificateAuthority": "text",
  "enrollmentAgentUsername": "text",
  "enrollmentAgentPassword": "text",
  "nlaUsername": "text",
  "nlaPassword": "text"
}

No content

Last updated